import {BaseTableRowRecord} from "@/types/components/table";
import {BaseEnum} from "../../../global";



export interface AssessmentRecordPagerVo extends BaseTableRowRecord {
    /** 企事业单位名称 **/
    enterprisesUnitName: string;
    /** 考核项目名称 **/
    ckProjectName: string;
    /** 考核项目总分 **/
    totalScore: number;
    /** 考核项目类型 **/
    type: BaseEnum<string>;
    /** 考核项目备注 **/
    ckProjectRemark: string;
    /** 公安单位名称 **/
    policeUnitName: string;
    /** 考核人员签字 **/
    assessmentUserSignature: string;
    /** 被考核单位人员签字 **/
    byAssessmentEnterprisesUnitUserSignature: string;
    /** 考核备注 **/
    remark: string;
    /** 总扣分 **/
    deductionPointsTotal: number;
}


export interface AssessmentRecordPagerQueryParams {
    type: string
}

export interface DeductedDetailRes {
    /*考核分组id */
    ckGroupId: number;
    groupRowSpan: number;
    /*考核分组名字 */
    groupName: string;
    /*考核分组总分 */
    groupTotalScore: number;
    /*考核分组备注 */
    groupRemark: string;
    /*考核项id */
    ckItemId: number;
    itemRowSpan: number;
    /*考核项名字 */
    itemName: string;
    /*组件类型,可用值:RADIO,MULTIPLE */
    itemType: BaseEnum<string>;
    /*考核项备注 */
    itemRemark: string;
    /*考核标准id */
    ckStandardId: number;
    /*考核标准 */
    standardName: string;
    /*扣分数 */
    deductionPoints: Record<string, unknown>;
    /*是否选中 */
    isSelected: boolean;
}
