package com.changhu.mapper;

import com.changhu.common.pojo.vo.SelectNodeVo;
import com.changhu.pojo.dto.SecurityUnitUseStatisticsDTO;
import com.changhu.pojo.dto.ServiceProjectSecurityUserRosterDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/15 下午2:27
 * @desc OpenApiMapper...
 */
@Mapper
public interface OpenApiMapper {

    /**
     * 根据单位获取企事业单位
     *
     * @param code  代码
     * @param level 等级
     * @return 企事业单位
     */
    List<SelectNodeVo<Long>> getEnterprisesUnit(@Param("code") String code,
                                                @Param("level") Integer level);

    /**
     * 保安单位使用情况统计
     *
     * @param code  代码
     * @param level 等级
     * @return 结果
     */
    List<SecurityUnitUseStatisticsDTO> securityUnitUseStatistics(@Param("code") String code,
                                                                 @Param("level") Integer level);

    /**
     * 获取服务人员花名册
     *
     * @param serviceProjectId 服务项目id
     * @return 结果
     */
    List<ServiceProjectSecurityUserRosterDTO> serviceProjectUserRoster(@Param("serviceProjectId") Long serviceProjectId);
}
