package com.changhu.module.management.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.changhu.common.db.enums.IsOrNot;
import com.changhu.common.db.enums.ServiceProjectTwoType;
import com.changhu.common.db.enums.ServiceProjectType;
import com.changhu.support.mybatisplus.pojo.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;


/**
 * 服务项目 实体类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class ServiceProject extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 保安单位id
     */
    private Long securityUnitId;

    /**
     * 企事业单位id
     */
    private Long enterprisesUnitId;

    /**
     * 项目经理小程序用户id
     */
    private Long projectManagerMiniProgramUserId;

    /**
     * 名称
     */
    private String name;

    /**
     * 服务类型
     */
    private ServiceProjectType type;

    /**
     * 二级类型(外包/物业自招/其他自招)
     */
    private ServiceProjectTwoType twoType;

    /**
     * 若二级类型选择外包 这里需填写外包公司名称
     */
    private String outsourceName;

    /**
     * 是否备案
     */
    private IsOrNot isFiling;

    /**
     * 证件号(保安服务许可证/备案证)
     */
    private String idNumber;

    /**
     * 服务区域面积
     */
    private Double serviceArea;

    /**
     * 楼栋数量
     */
    private Integer buildingTotal;

    /**
     * 户数
     */
    private Integer houseTotal;

    /**
     * 工作人员数量
     */
    private Integer staffTotal;

    /**
     * 保安人员数量
     */
    private Integer securityUserTotal;

    /**
     * 备注
     */
    private String remark;


}
