// Parameter interface
import {BaseTableRowRecord} from "@/types/components/table";

export interface GeneratedAccessKeyParams {
    /* */
    snowFlakeId?: string;
    /*调用方 */
    name: string;
    /*有效时间 */
    effectiveTime: number;
    /*允许访问的资源 */
    allowedResources?: string[];
    /*是否启用,可用值:TRUE,FALSE */
    isEnable: number;
    /*备注 */
    remark?: string;
}

// Response interface
export interface AccessKeyRes extends BaseTableRowRecord {
    name: string;
    effectiveTime: number;
    accessKey: string;
    secretKey: string;
    allowedResources: string[];
    isEnable: BaseEnum<number>;
    remark: string;
}
